Skip to main content

List Node Network Wallet Defaults

Default wallet mappings for (node, network, type). Assign a default wallet per network and type (apex or node).

Authentication: Bearer token required.

Endpoint: GET /api/v1/node-network-wallet-defaults


Query Parameters​

ParameterTypeRequiredDefaultDescription
node_idstringYes—Node UUID
network_idstringNo—Filter by network UUID
typestringNo—apex or node
pageintNo1Page number
per_pageintNo10Items per page (max 100)

Response — 200 OK​

Paginated list with items (id, node_id, network_id, wallet_id, type, wallet, created_at, updated_at).